OmnAPI - Phase 1
  1. Producer
OmnAPI - Phase 1
  • Tasks
    • Create Task
      POST
    • Get Task
      GET
    • Cancel Task
      POST
  • Producer
    • Generate Image
      POST
    • Generate Lyrics
      POST
    • Generate Music (Compose)
      POST
    • Generate Music (Modify)
      POST
  • Schemas
    • Schemas
      • User
      • EmailTask
      • Session
      • SmsTask
      • Account
      • Verification
      • TwoFactor
      • Organization
      • Member
      • Invitation
  1. Producer

Generate Music (Modify)

POST
/api/v1/producer/generate/music/modify
Queue a Producer modify task (audio__modify_song): extend, cover, inpaint, swap_vocals, or swap_sound an existing clip.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Response for status 200
Body

🟠400
🟠401
🟠402
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.omnapi.com/api/v1/producer/generate/music/modify' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "clipId": "string",
    "modifyMode": "task",
    "transform": "extend",
    "prompt": "string",
    "title": "string",
    "tags": "string",
    "lyrics": "string",
    "lyricsId": "string",
    "soundPrompt": "string",
    "cropEndAt": 0,
    "replaceStartAt": 0,
    "replaceEndAt": 0,
    "conversationId": "string",
    "currentSongId": "string",
    "config": {
        "priority": 5,
        "webhookUrl": "http://example.com",
        "tags": [
            "string"
        ],
        "metadata": {}
    }
}'
Response Response Example
200 - Example 1
{
    "taskId": "string",
    "status": "PENDING",
    "creditsReserved": 0,
    "estimatedCompletionTime": null
}
Modified at 2026-03-09 15:29:15
Previous
Generate Music (Compose)
Next
User
Built with